Subject: RE: Intel Fortran 8.0 bug

From: graham.mullier=at=syngenta.com
Date: Wed, 17 Dec 2003 08:58:36 -0000

Christoph,

it's a long time since I've used FORTRAN, and I've not tried the intel
compilers, but I do seem to remember needing to initialise _all_ variables I
wanted to work with, unless I was happy to use random initialised states.
The fact that you are getting an index position way beyond the end of your
first string is what makes me suspicious.

I think you should try initialising str(1) and str(2) to 48-character blank
strings _first_, then go on to set values and look for targets with the
index function.

regards,

Graham

Graham Mullier
Chemoinformatics Team Leader,
Chemistry Design Group,
Syngenta, Bracknell, RG42 6EY, UK.
direct line: +44 (0) 1344 414163
mailto:Graham.Mullier=at=syngenta.com

-----Original Message-----
From: Christoph van W|llen [mailto:Christoph.vanWullen=at=TU-Berlin.De]
Sent: 16 December 2003 11:42
To: chemistry=at=ccl.net
Subject: CCL:Intel Fortran 8.0 bug

Meanwhile I have analyzed the error in the FORTRAN support library
and constructed a small test case. Try this with ifort version 8:

       program test
       character*48 str(2)
       str(1)=' 1.  this is some junk'
       str(2)=' 2.  here is the target'
       do i=1,2
       write (6,*) index(str(i), ' the')
       end do
       end

and you will see what's going wrong (I got the answers 61 and 13).
The error is in the support function for_string_index.
It is not unreasonable to assume a problem in the quality control.

+---------------------------------+----------------------------------+
| Prof. Christoph van W|llen      | Tele-Phone (+49) (0)30 314 27870 |
| Technische Universitdt Sekr. C3 | Tele-Fax   (+49) (0)30 314 23727 |
| Stra_e des 17. Juni 135         | eMail                            |
| D-10623 Berlin, Germany         | Christoph.vanWullen=at=TU-Berlin.De |
+---------------------------------+----------------------------------+
-- 

-= This is automatically added to each message by the mailing script =-
To send e-mail to subscribers of CCL put the string CCL: on your Subject:
line
and send your message to:  CHEMISTRY=at=ccl.net

Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST=at=ccl.net

HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 

If your mail is bouncing from CCL.NET domain send it to the maintainer:
Jan Labanowski,  jkl=at=ccl.net (read about it on CCL Home Page)
-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+